MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables

# src/stored_playlist.h File Reference

`#include "playlist.h"`
`#include <glib.h>`
`#include <stdbool.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures
struct | stored_playlist_info
## Functions
void | spl_global_init (void)
| Perform some global initialization, e.g.
bool | spl_valid_name (const char *name_utf8)
| Determines whether the specified string is a valid name for a stored playlist.
GPtrArray * | spl_list (void)
| Returns a list of stored_playlist_info struct pointers.
void | spl_list_free (GPtrArray *list)
GPtrArray * | spl_load (const char *utf8path)
void | spl_free (GPtrArray *list)
enum playlist_result | spl_move_index (const char *utf8path, unsigned src, unsigned dest)
enum playlist_result | spl_clear (const char *utf8path)
enum playlist_result | spl_delete (const char *name_utf8)
enum playlist_result | spl_remove_index (const char *utf8path, unsigned pos)
enum playlist_result | spl_append_song (const char *utf8path, struct song *song)
enum playlist_result | spl_append_uri (const char *file, const char *utf8file)
enum playlist_result | spl_rename (const char *utf8from, const char *utf8to)
## Variables
bool | playlist_saveAbsolutePaths

## Function Documentation

enum playlist_result spl_append_song | ( | const char * | utf8path,
|  | struct song * | song
| ) |  |

enum playlist_result spl_append_uri | ( | const char * | file,
|  | const char * | utf8file
| ) |  |

enum playlist_result spl_clear | ( | const char * | utf8path | ) |

enum playlist_result spl_delete | ( | const char * | name_utf8 | ) |

void spl_free | ( | GPtrArray * | list | ) |

void spl_global_init | ( | void |  | ) |

Perform some global initialization, e.g.

load configuration values.

GPtrArray* spl_list | ( | void |  | ) |

Returns a list of stored_playlist_info struct pointers.

Returns NULL if an error occured.

void spl_list_free | ( | GPtrArray * | list | ) |

GPtrArray* spl_load | ( | const char * | utf8path | ) |

enum playlist_result spl_move_index | ( | const char * | utf8path,
|  | unsigned | src,
|  | unsigned | dest
| ) |  |

enum playlist_result spl_remove_index | ( | const char * | utf8path,
|  | unsigned | pos
| ) |  |

enum playlist_result spl_rename | ( | const char * | utf8from,
|  | const char * | utf8to
| ) |  |

bool spl_valid_name | ( | const char * | name_utf8 | ) |

Determines whether the specified string is a valid name for a stored playlist.

## Variable Documentation

bool playlist_saveAbsolutePaths